package com.sistema_ventas.model;
// Generated 11-13-2019 11:40:49 AM by Hibernate Tools 4.3.1


import java.math.BigDecimal;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * Abonos generated by hbm2java
 */
@Entity
@Table(name="abonos"
    ,catalog="sistema_ventas"
)
public class Abonos  implements java.io.Serializable {


     /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Integer idpago;
     private FacturaDetalle facturaDetalle;
     private MedioPago medioPago;
     private TipoAbono tipoAbono;
     private BigDecimal monto;
     private Date fecha;

    public Abonos() {
    }

	
    public Abonos(TipoAbono tipoAbono, BigDecimal monto, Date fecha) {
        this.tipoAbono = tipoAbono;
        this.monto = monto;
        this.fecha = fecha;
    }
    public Abonos(FacturaDetalle facturaDetalle, MedioPago medioPago, TipoAbono tipoAbono, BigDecimal monto, Date fecha) {
       this.facturaDetalle = facturaDetalle;
       this.medioPago = medioPago;
       this.tipoAbono = tipoAbono;
       this.monto = monto;
       this.fecha = fecha;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="idpago", unique=true, nullable=false)
    public Integer getIdpago() {
        return this.idpago;
    }
    
    public void setIdpago(Integer idpago) {
        this.idpago = idpago;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="factura")
    public FacturaDetalle getFacturaDetalle() {
        return this.facturaDetalle;
    }
    
    public void setFacturaDetalle(FacturaDetalle facturaDetalle) {
        this.facturaDetalle = facturaDetalle;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="medio")
    public MedioPago getMedioPago() {
        return this.medioPago;
    }
    
    public void setMedioPago(MedioPago medioPago) {
        this.medioPago = medioPago;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="tipo", nullable=false)
    public TipoAbono getTipoAbono() {
        return this.tipoAbono;
    }
    
    public void setTipoAbono(TipoAbono tipoAbono) {
        this.tipoAbono = tipoAbono;
    }

    
    @Column(name="monto", nullable=false, precision=7)
    public BigDecimal getMonto() {
        return this.monto;
    }
    
    public void setMonto(BigDecimal monto) {
        this.monto = monto;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="fecha", nullable=false, length=19)
    public Date getFecha() {
        return this.fecha;
    }
    
    public void setFecha(Date fecha) {
        this.fecha = fecha;
    }




}


